
namespace armarx::nav::glob_plan
{
    struct GlobalPlanner;
    struct Point2PointParams;

    namespace arondto
    {
        struct GlobalPlannerParams;
        struct Point2PointParams;
    } // namespace aron
} // namespace armarx::nav::glob_plan

namespace armarx::nav::glob_plan::aron_conv
{
    void toAron(arondto::GlobalPlannerParams& dto, const GlobalPlanner& bo);
    void fromAron(const arondto::GlobalPlannerParams& dto, GlobalPlanner& bo);

    void toAron(arondto::Point2PointParams& dto, const Point2PointParams& bo);
    void fromAron(const arondto::Point2PointParams& dto, Point2PointParams& bo);

} // namespace armarx::nav::glob_plan::aron_conv
